Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.FirmwareUpdateMDRequestReport (grizzly v7.4.2)

This command is used to advertise if the firmware update will be initiated.

Params:

- `:status` - the status of the firmware update request, either :ok or an error such as :invalid_manufacturer_or_device_id

# Summary

## Types

param()
status()

## Functions

decode_status(byte)
encode_status(atom)

# Types

Link to this type

# param()

View Source

    @type param() :: {:status, status()}

Link to this type

# status()

View Source

    @type status() ::
      :ok
      | :invalid_manufacturer_or_device_id
      | :authenticated_required
      | :excessive_fragment_size
      | :target_not_upgradable
      | :invalid_hardware_version
      | :firmware_update_in_progress
      | :insufficient_battery_level

# Functions

Link to this function

# decode_status(byte)

View Source
Link to this function

# encode_status(atom)

View Source